Search App Conversations
curl --request GET \
--url https://api.example.com/api/v1/app-conversations/search \
--header 'X-Access-Token: <api-key>'import requests
url = "https://api.example.com/api/v1/app-conversations/search"
headers = {"X-Access-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Token': '<api-key>'}};
fetch('https://api.example.com/api/v1/app-conversations/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_by_user_id": "<string>",
"sandbox_id": "<string>",
"acp_server": "<string>",
"launched_agent_profile": {
"agent_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 1
},
"id": "<string>",
"selected_repository": "<string>",
"selected_branch": "<string>",
"title": "<string>",
"pr_number": [
123
],
"llm_model": "<string>",
"agent_kind": "openhands",
"metrics": {
"model_name": "default",
"accumulated_cost": 0,
"max_budget_per_task": 123,
"accumulated_token_usage": {
"model": "",
"prompt_tokens": 0,
"completion_tokens": 0,
"cache_read_tokens": 0,
"cache_write_tokens": 0,
"reasoning_tokens": 0,
"context_window": 0,
"per_turn_token": 0,
"response_id": ""
}
},
"parent_conversation_id": "<string>",
"sub_conversation_ids": [
"<string>"
],
"public": true,
"tags": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"sandbox_status": "MISSING",
"conversation_url": "<string>",
"session_api_key": "<string>"
}
],
"next_page_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Conversations
Search App Conversations
Search / List sandboxed conversations.
GET
/
api
/
v1
/
app-conversations
/
search
Search App Conversations
Authorizations
Query Parameters
Required range:
x <= 100Was this page helpful?
⌘I

